# bdm::mlognorm Class Reference

Log-Normal random walk. More...

`#include <exp_family.h>`

List of all members.

## Public Member Functions
| mlognorm ()
| Constructor.
void | set_parameters (int size, double k)
| Set value of `k`.
void | condition (const vec &val)
| Update `ep` so that it represents this mpdf conditioned on `rvc` = cond.
void | from_setting (const Setting &set)
virtual string | to_string ()
| This method returns a basic info about the current instance.
virtual void | to_setting (Setting &set) const
| This method save all the instance properties into the Setting structure.
virtual void | validate ()
| This method TODO.
Matematical operations
virtual vec | samplecond (const vec &cond)
| Returns a sample from the density conditioned on `cond`, .
virtual mat | samplecond_m (const vec &cond, int N)
| Returns.
virtual double | evallogcond (const vec &dt, const vec &cond)
| Shortcut for conditioning and evaluation of the internal epdf. In some cases, this operation can be implemented efficiently.
virtual vec | evallogcond_m (const mat &Dt, const vec &cond)
| Matrix version of evallogcond.
virtual vec | evallogcond_m (const Array< vec > &Dt, const vec &cond)
| Array<vec> version of evallogcond.
Access to attributes
RV | _rv ()
RV | _rvc ()
int | dimension ()
int | dimensionc ()
epdf & | _epdf ()
epdf * | _e ()
Connection to other objects
void | set_rvc (const RV &rvc0)
void | set_rv (const RV &rv0)
bool | isnamed ()
## Protected Attributes
elognorm | eno
double | sig2
| parameter 1/2*sigma^2
vec & | mu
| access
int | dimc
| dimension of the condition
RV | rvc
| random variable in condition
epdf * | ep
| pointer to internal epdf

## Detailed Description

Log-Normal random walk.

Mean value, , is...

==== Check == vv = Standard deviation of the random walk is proportional to one -th the mean. This is achieved by setting and .

The standard deviation of the walk is then: .

## Member Function Documentation

void bdm::mlognorm::from_setting | ( | const Setting & | set | ) | `[virtual]`

UI for mlognorm

The mlognorm is constructed from a structure with fields:

                            system = {
                                    type = "mlognorm";
                                    k = 0.1;                                  // constant k
                                    mu0 = [1., 1.];

                                    // == OPTIONAL ==
                                    // description of y variables
                                    y = {type="rv"; names=["y", "u"];};
                                    // description of u variable
                                    u = {type="rv"; names=[];}
                            };

Reimplemented from bdm::mpdf.

References condition(), bdm::UI::get(), and set_parameters().

virtual vec bdm::mpdf::samplecond | ( | const vec & | cond | ) | `[inline, virtual, inherited]`

Returns a sample from the density conditioned on `cond`, .

Parameters:

  | cond | is numeric value of `rv`

Reimplemented in bdm::mprod.

References bdm::mpdf::condition(), bdm::mpdf::ep, and bdm::epdf::sample().

Referenced by bdm::MPF< BM_T >::bayes(), bdm::PF::bayes(), and bdm::ArxDS::step().

virtual mat bdm::mpdf::samplecond_m | ( | const vec & | cond,
|  | int | N |
| ) |  |  | `[inline, virtual, inherited]`

Returns.

Parameters:

  | N | samples from the density conditioned on `cond`, .
  | cond | is numeric value of `rv`

References bdm::mpdf::condition(), bdm::epdf::dimension(), bdm::mpdf::ep, and bdm::epdf::sample().

The documentation for this class was generated from the following files:

- exp_family.h
- exp_family.cpp